DS_GET_DATA_RANGE(3)

EXPERIMENTAL_FUNC
ds_get_data_range - Get the data range for a data element in a packet.

SYNOPSIS
#include <karma_ds.h>

flag ds_get_data_range

(CONST char *elem_name, CONST packet_desc *pack_desc, CONST char *packet, double *minimum, double *maximum)

DESCRIPTION
This routine will determine the range of scaled data in a packet. Range information should be attached to the array. No low-level routine currently exists to do this.

elem_name
    The name of the element.

pack_desc
    The packet descriptor.

packet
    The packet.

minimum
    The minimum value will be written here. The name of the minimum value is constructed by appending "__MINIMUM" to the element name. If no minimum value is found, -TOOBIG is written here. As a fallback, if the FITS-style "DATAMIN" keyword is found and is appropriate, this is used.

maximum
    The minimum value will be written here. The name of the minimum value is constructed by appending "__MINIMUM" to the element name. If no minimum value is found, TOOBIG is written here. As a fallback, if the FITS-style "DATAMAX" keyword is found and is appropriate, this is used.

RETURN VALUE
TRUE if either the min. or max. value were found, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/